public class MyArrayList<T> {

    private T t;
    private T[] myArrayList;

    public MyArrayList(int size) {
        this.myArrayList = (T[]) new Object[size];
    }

    public MyArrayList() {
        this.myArrayList = (T[]) new Object[0];
    }

    public T[] getMyArrayList(){
        return myArrayList;
    }

    public void add(T element){
        T[] output = (T[]) new Object[myArrayList.length + 1];
        for (int i = 0; i < myArrayList.length; i++) {
            output[i] = myArrayList[i];
        }
        output[myArrayList.length] = element;

        myArrayList = output;
    }

    public void add(int index, T element){
        T[] output = (T[]) new Object[myArrayList.length + 1];
        for (int i = 0; i < output.length; i++) {
            if (i < index){
                output[i] = myArrayList[i];
            } else if (i > index){
                output[i] = myArrayList[i - 1];
            } else {
                output[index] = element;
            }
        } myArrayList = output;
    }

    public T get(int index){
        for (int i = 0; i < myArrayList.length; i++) {
            if (i == index){
                return myArrayList[i];
            }
        } return null;
    }

    public void remove(int index){
        T[] output = (T[]) new Object[myArrayList.length - 1];
        int counter = 0;

        for (int i = 0; i < myArrayList.length; i++) {
            if (i != index){
                output[counter] = myArrayList[i];
                counter++;
            }
        } myArrayList = output;
    }

    public void remove(T t){
        T[] output = (T[]) new Object[myArrayList.length - 1];
        int counter = 0;

        for (int i = 0; i < myArrayList.length; i++) {
            if (myArrayList[i] != t){
                output[counter] = myArrayList[i];
                counter++;
            }
        } myArrayList = output;
    }

    public void set(int index, T element) {
        myArrayList[index] = element;
    }

    public void clear() {
        T[] output = (T[]) new Object[0];
        myArrayList = output;
    }

    public boolean isEmpty(){
        if (myArrayList.length == 0){
            return true;
        } return false;
    }

    public boolean contains(T element){
        for (int i = 0; i < myArrayList.length; i++){
            if (element.equals(myArrayList[i])){
                return true;
            }
        } return false;
    }

    public int size() {
        return myArrayList.length;
    }


}
