import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class MyArrayListTest {

    MyArrayList myArrayList;

    @Before
    public void setUp(){
        myArrayList = new MyArrayList(10);
    }

    @Test
    public void testSizeConstructor(){
        int expected = 10;
        int actual = myArrayList.size();

        Assert.assertEquals(expected,actual);
    }

    @Test
    public void addIntTest(){
        myArrayList.add(1);

        int expected = 11;
        int actual = myArrayList.size();

        Assert.assertEquals(expected,actual);
    }

    @Test
    public void addStringTest(){
        myArrayList.add("IAmDumb");

        int expected = 11;
        int actual = myArrayList.size();

        Assert.assertEquals(expected,actual);
    }

    @Test
    public void getIntTest(){
        myArrayList.add(3);

        Integer expected = 3;
        Integer actual = (Integer) myArrayList.get(11);

        Assert.assertEquals(expected,actual);
    }
}
